Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class EntryBeans

    java.lang.Object
      net.jini.lookup.entry.EntryBeans

public class EntryBeans
extends Object

Utility class for handling JavaBeans(TM) components that relate to Entry classes in the Jini(TM) Lookup service.

Constructor Summary
`EntryBeans()`

Method Summary
`static EntryBean` | `createBean(Entry ent)` Create a bean of the appropriate type for the given Entry object, and link it to the object for immediate manipulation.
`static Class` | `getBeanClass(Class c)` Return the class of JavaBeans component that corresponds to a particular Entry class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryBeans

    public EntryBeans()

Method Detail

### createBean

    public static EntryBean createBean(Entry ent)
                                throws ClassNotFoundException,
                                       IOException

  Create a bean of the appropriate type for the given Entry object, and link it to the object for immediate manipulation.

  Parameters:
    `ent` - the Entry for which to create and link a bean
  Returns:
    a new bean of the right type, linked to the given Entry
  Throws:
    `ClassNotFoundException` - no bean class of the appropriate type could be found
    `ClassCastException` - the bean class does not implement the EntryBean interface
    `IOException` - the JavaBeans component could not be instantiated

### getBeanClass

    public static Class getBeanClass(Class c)
                              throws ClassNotFoundException

  Return the class of JavaBeans component that corresponds to a particular Entry class. The class passed in as argument must implement the Entry interface.

  Parameters:
    `c` - the class for which a JavaBeans component should be found
  Returns:
    corresponding JavaBeans component class
  Throws:
    `ClassNotFoundException` - no such class could be found
    `ClassCastException` - the class does not implement the EntryBean interface
  See Also:
    `EntryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved